Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.j2ee.statistics
Class StatsFactory

    java.lang.Object
      com.sun.appserv.management.j2ee.statistics.StatsFactory

public final class StatsFactory
extends java.lang.Object

Factory to create Stats subclasses of any kind, based on supplied interface type and a Map or CompositeData containing the Statistics.

Method Summary
`static java.util.Map` | `compositeDataToMap(CompositeData data)`
`static Stats` | `create(java.lang.Class theInterface, CompositeData data)` Create a new Stats using the specified CompositeData
`static EJBStats` | `createEJBStats(java.util.Map statistics)`
`static EntityBeanStats` | `createEntityBeanStats(java.util.Map statistics)`
`static JavaMailStats` | `createJavaMailStats(java.util.Map statistics)`
`static JCAConnectionPoolStats` | `createJCAConnectionPoolStats(java.util.Map statistics)`
`static JCAConnectionStats` | `createJCAConnectionStats(java.util.Map statistics)`
`static JCAStats` | `createJCAStats(java.util.Map statistics)`
`static JDBCConnectionPoolStats` | `createJDBCConnectionPoolStats(java.util.Map statistics)`
`static JDBCConnectionStats` | `createJDBCConnectionStats(java.util.Map statistics)`
`static JDBCStats` | `createJDBCStats(java.util.Map statistics)`
`static JMSConnectionStats` | `createJMSConnectionStats(java.util.Map statistics)`
`static JMSConsumerStats` | `createJMSConsumerStats(java.util.Map statistics)`
`static JMSEndpointStats` | `createJMSEndpointStats(java.util.Map statistics)`
`static JMSProducerStats` | `createJMSProducerStats(java.util.Map statistics)`
`static JMSSessionStats` | `createJMSSessionStats(java.util.Map statistics)`
`static JMSStats` | `createJMSStats(java.util.Map statistics)`
`static JTAStats` | `createJTAStats(java.util.Map statistics)`
`static JVMStats` | `createJVMStats(java.util.Map statistics)`
`static MessageDrivenBeanStats` | `createMessageDrivenBeanStats(java.util.Map statistics)`
`static ServletStats` | `createServletStats(java.util.Map statistics)`
`static SessionBeanStats` | `createSessionBeanStats(java.util.Map statistics)`
`static StatefulSessionBeanStats` | `createStatefulSessionBeanStats(java.util.Map statistics)`
`static StatelessSessionBeanStats` | `createStatelessSessionBeanStats(java.util.Map statistics)`
`static Stats` | `createStats(java.lang.Class theInterface, java.util.Map statistics)` Create a new Stats using the specified Map.
`static Stats` | `createStats(java.lang.Class theInterface, Statistic[] statistics)` Calls createStats( theInterface, J2EEUtil.statisticsToMap( statistics ) )
`static Stats` | `createStats(CompositeData data)` Create a Stats using Stats class found as data.getCompositeType().getTypeName().
`static URLStats` | `createURLStats(java.util.Map statistics)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### create

    public static Stats create(java.lang.Class theInterface,
                               CompositeData data)

  Create a new Stats using the specified CompositeData

  Parameters:
    `theInterface` - interface which the Stats should implement, must extend Stats

### compositeDataToMap

    public static java.util.Map compositeDataToMap(CompositeData data)

### createStats

    public static Stats createStats(CompositeData data)

  Create a Stats using Stats class found as data.getCompositeType().getTypeName(). If this interface is not available, a generic Stats interface will be used.

### createStats

    public static Stats createStats(java.lang.Class theInterface,
                                    java.util.Map statistics)

  Create a new Stats using the specified Map. The standard JSR 77 Statistic types are handled appropriately. Custom (non-standard) Stats may also be used; in this case a proxy is returned which implements the interface specified by theClass.

  Parameters:
    `theInterface` - the Stats sub-interface which the resulting should implement
    `statistics` - a Map containing keys of type String and their Statistic values

### createStats

    public static Stats createStats(java.lang.Class theInterface,
                                    Statistic[] statistics)

  Calls createStats( theInterface, J2EEUtil.statisticsToMap( statistics ) )

### createEJBStats

    public static EJBStats createEJBStats(java.util.Map statistics)

### createURLStats

    public static URLStats createURLStats(java.util.Map statistics)

### createEntityBeanStats

    public static EntityBeanStats createEntityBeanStats(java.util.Map statistics)

### createJavaMailStats

    public static JavaMailStats createJavaMailStats(java.util.Map statistics)

### createJCAConnectionPoolStats

    public static JCAConnectionPoolStats createJCAConnectionPoolStats(java.util.Map statistics)

### createJCAConnectionStats

    public static JCAConnectionStats createJCAConnectionStats(java.util.Map statistics)

### createJCAStats

    public static JCAStats createJCAStats(java.util.Map statistics)

### createJDBCConnectionPoolStats

    public static JDBCConnectionPoolStats createJDBCConnectionPoolStats(java.util.Map statistics)

### createJDBCConnectionStats

    public static JDBCConnectionStats createJDBCConnectionStats(java.util.Map statistics)

### createJDBCStats

    public static JDBCStats createJDBCStats(java.util.Map statistics)

### createJMSConnectionStats

    public static JMSConnectionStats createJMSConnectionStats(java.util.Map statistics)

### createJMSConsumerStats

    public static JMSConsumerStats createJMSConsumerStats(java.util.Map statistics)

### createJMSEndpointStats

    public static JMSEndpointStats createJMSEndpointStats(java.util.Map statistics)

### createJMSProducerStats

    public static JMSProducerStats createJMSProducerStats(java.util.Map statistics)

### createJMSSessionStats

    public static JMSSessionStats createJMSSessionStats(java.util.Map statistics)

### createJMSStats

    public static JMSStats createJMSStats(java.util.Map statistics)

### createJTAStats

    public static JTAStats createJTAStats(java.util.Map statistics)

### createJVMStats

    public static JVMStats createJVMStats(java.util.Map statistics)

### createMessageDrivenBeanStats

    public static MessageDrivenBeanStats createMessageDrivenBeanStats(java.util.Map statistics)

### createServletStats

    public static ServletStats createServletStats(java.util.Map statistics)

### createSessionBeanStats

    public static SessionBeanStats createSessionBeanStats(java.util.Map statistics)

### createStatefulSessionBeanStats

    public static StatefulSessionBeanStats createStatefulSessionBeanStats(java.util.Map statistics)

### createStatelessSessionBeanStats

    public static StatelessSessionBeanStats createStatelessSessionBeanStats(java.util.Map statistics)

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.